%define build_setup     1

## Something's not quite right with libtool....
#%%define __libtoolize    echo

Summary:        Hangul Input Method Engine for SCIM
Name:           scim-hangul
Version:        0.2.0
Release:        1%{?dist}
License:        GPL
Group:          System Environment/Libraries
URL:            http://www.scim-im.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

Source0:        %{name}-%{version}.tar.gz
#NoSource:	0

PreReq:         /sbin/ldconfig, /bin/sh

Requires:	scim >= 1.2.0
BuildRequires:  scim-devel >= 1.2.0

%description
SCIM is a developing platform to significant reduce the difficulty of 
input method development. 

%changelog
* Sun Jun 13 2004 James Su <suzhe@tsinghua.org.cn>
- first release of scim-uim.

#--------------------------------------------------

%prep

%setup -n %{name}-%{version}

%build
%configure --disable-static

make 

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

rm -f $RPM_BUILD_ROOT//usr/lib/scim-1.0/IMEngine/hangul.{a,la}
rm -f $RPM_BUILD_ROOT//usr/lib/scim-1.0/SetupUI/hangul-imengine-setup.{a,la}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/scim-1.0/IMEngine/hangul.*
%if %{build_setup}
%{_libdir}/scim-1.0/SetupUI/hangul-imengine-setup.*
%endif
%{_datadir}/locale/*/LC_MESSAGES/scim-hangul.mo
%{_datadir}/scim/icons/scim-hangul.png
